Minion::Command::minion(3)

NAME
Minion::Command::minion - Minion command

SYNOPSIS
  Usage: APPLICATION minion COMMAND [OPTIONS]

DESCRIPTION
Minion::Command::minion lists available Minion commands.

ATTRIBUTES
Minion::Command::minion inherits all attributes from Mojolicious::Commands and implements the following new ones.

  description
  my $description = $minion->description;
  $minion         = $minion->description('Foo');

Short description of this command, used for the command list.

  hint
  my $hint = $minion->hint;
  $minion  = $minion->hint('Foo');

Short hint shown after listing available Minion commands.

  message
  my $msg = $minion->message;
  $minion = $minion->message('Bar');

Short usage message shown before listing available Minion commands.

  namespaces
  my $namespaces = $minion->namespaces;
  $minion        = $minion->namespaces(['MyApp::Command::minion']);

Namespaces to search for available Minion commands, defaults to Minion::Command::minion.

METHODS
Minion::Command::minion inherits all methods from Mojolicious::Commands and implements the following new ones.

  help
  $minion->help('app');

Print usage information for Minion command.

SEE ALSO
Minion, Minion::Guide, <https://minion.pm>, Mojolicious::Guides, <https://mojolicious.org>.